// Resultant waveform from the addition of two AC voltages
// SCILAB source file: ex3001.sce
// Set up the plot window
q=gda();            // Default axes
q.thickness=1;      // Line thickness
q.grid=[4,4];       // Add a dashed grid in cyan
q.font_size=3;      // Set the font size
t=(0:0.0001:0.02)'; // Array of values for time, t
xdel();
// Define v1, v2 and v3
v1 = 100*sin(100*%pi*t);
v2 = 50*sin((200*%pi*t) - (%pi/2));
v3 = v1 + v2;
// Plot v1 in blue
plot2d(t,v1,rect=[0,-200,0.02,200],style=2);
// Plot v2 in red
plot2d(t,v2,rect=[0,-200,0.02,200],style=5);
// Plot v3 in green
plot2d(t,v3,rect=[0,-200,0.02,200],style=13);
// Add legends
legend("v1","v2","v3");

